Skip to main content

[FishCAT] GlassFish 4.0 on Equinox?

2 replies [Last post]
Anonymous

I tried running GlassFish 4.0-b87 on Equinox 3.7.0. Even the most
trivial samples fail to deploy with class loader exceptions - something
must be seriously broken.

Does GlassFish 4.0 still support Equinox at all?

Best regards,
Harald

Reply viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
ss141213
Offline
Joined: 2005-03-30
Points: 0

Hi Harald,

No, GF 4.0 does not run on Equinox due to
https://java.net/jira/browse/GLASSFISH-18975. It is scheduled for 4.0.1.

Thanks,
Sahoo

On Tuesday 07 May 2013 10:43 PM, Harald Wellmann wrote:
> I tried running GlassFish 4.0-b87 on Equinox 3.7.0. Even the most
> trivial samples fail to deploy with class loader exceptions -
> something must be seriously broken.
>
> Does GlassFish 4.0 still support Equinox at all?
>
> Best regards,
> Harald

tmueller
Offline
Joined: 2005-10-31
Points: 0

We've done some minimal testing with Equinox for 4.0. Here is what Scott
reports:

I used org.eclipse.osgi_3.8.2.v20130124-1349944.jar, which I put in
/osgi/equinox.

Then I just added the argument -DGlassFish_Platform=Equinox to the
domain.

This was with a very minimal web application, but the test did run
successfully.

However, there is also the following issue:
https://java.net/jira/browse/GLASSFISH-18975
which reports that Equinox support is currently broken for the quick
look tests, which do more than the simple test that Scott ran.

Tom

On 5/7/13 12:13 PM, Harald Wellmann wrote:
> I tried running GlassFish 4.0-b87 on Equinox 3.7.0. Even the most
> trivial samples fail to deploy with class loader exceptions -
> something must be seriously broken.
>
> Does GlassFish 4.0 still support Equinox at all?
>
> Best regards,
> Harald